<?php

namespace Lc\SovBundle\Doctrine\Extension;


use Lc\SovBundle\Model\User\UserInterface;

interface BlameableInterface
{

    public function getCreatedBy(): ?UserInterface;

    public function setCreatedBy(?UserInterface $createdBy): BlameableInterface;

    public function getUpdatedBy(): ?UserInterface;

    public function setUpdatedBy(?UserInterface $updatedBy): BlameableInterface;
}
